GET /api/endpoint/policy_response

Spaces method and path for this operation:

get /s/{space_id}/api/endpoint/policy_response

Refer to Spaces for more information.

Get the most recent policy response for an endpoint.

Query parameters

  • agentId string Required

    The agent ID to retrieve the policy response for.

Responses

  • 200 application/json

    Indicates a successful call.

    A generic successful response.

GET /api/endpoint/policy_response
curl \
 --request GET 'https://<KIBANA_URL>/api/endpoint/policy_response?agentId=string' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "policy_response": {
    "@timestamp": "2023-07-04T15:48:57.360Z",
    "agent": {
      "id": "ed518850-681a-4d60-bb98-e22640cae2a8",
      "version": "7.16.0"
    },
    "Endpoint": {
      "policy": {
        "applied": {
          "endpoint_policy_version": "2",
          "id": "d5371dcd-93b7-4627-af88-4084f7d6aa3e",
          "name": "My endpoint policy",
          "status": "success",
          "version": "3"
        }
      }
    }
  }
}